Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IObjectQuery

public interface IObjectQuery

Interface that represents a query about multiple objects in the portal. All the objects in a particular query will be of the same class; no object query can include more than one class of object (e.g., both Portlets and Communities). Only certain properties are "queryable" in the portal; these properties are represented by the `ObjectProperty` class and its subclasses. Some attributes of an object (e.g., a Portlet's administrative preferences) can only be obtained by accessing the object directly.

Object queries are represented conceptually like a database query result. They are comprised of rows, with each row representing an object. Each row has multiple property-value pairs (like columns in a database query).

Method Summary
`IObjectQueryRow` | `getRow(int row)` Gets an `IObjectQueryRow` object representing the specified row.
`int` | `getRowCount()` Gets the number of rows in this query.

Method Detail

### getRowCount

    public int getRowCount()

  Gets the number of rows in this query.

  Returns:
    the row count

### getRow

    public IObjectQueryRow getRow(int row)

  Gets an `IObjectQueryRow` object representing the specified row.

  Parameters:
    `row` - the index of the row to retrieve (indices are zero-based)
  Returns:
    an `IObjectQueryRow` object representing the row
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the row index is out of range

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.